summaryrefslogtreecommitdiffstats
path: root/Reaktor/commands/whatweb
diff options
context:
space:
mode:
Diffstat (limited to 'Reaktor/commands/whatweb')
-rwxr-xr-xReaktor/commands/whatweb7
1 files changed, 7 insertions, 0 deletions
diff --git a/Reaktor/commands/whatweb b/Reaktor/commands/whatweb
new file mode 100755
index 00000000..afe20360
--- /dev/null
+++ b/Reaktor/commands/whatweb
@@ -0,0 +1,7 @@
+#!/bin/sh
+#wrapper for WhatWeb
+here=$(dirname `readlink -f $0`)
+whatweb_bin="$here/../repos/whatweb/whatweb"
+[ ! -e "$whatweb_bin" ] && echo "!! Whatweb app does not exist" && exit 1
+[ -z "${1:-}" ] && echo "!! no host given" && exit 1
+exec $whatweb_bin -a 3 "$1" 2>&1